Bulk Copy Media

This method accepts a list of medias to copy to a destination folder. It processes requests asynchronously and will return a background_job_status object rather than the typical Media response object.

Each media will be duplicated and the copy will be placed in the specified destination folder. The original media files will not be affected.

Requires api token with one of the following permissions

Read, update & delete anything

Tokens with the "Act with a team member's permissions" permission
(all:delegate_to_contact_permissions scope) can also be used. Requests
made with such a token are authorized using the permissions of the
contact assigned to the token.

An expiring access token
created with the all:delegate_to_contact_permissions scope and an
authorization granting the update permission on the destination folder
can also be used; only the media the token's authorizations name are
copied.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
hashed_ids
array of strings
required

An array of the media hashed IDs to be copied.

hashed_ids*
string
required

The hashed ID of the destination folder where the copies will be placed.

Headers
string
required
Defaults to 2026-09
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json